import Service from "../service";

export default class ScoresaberService extends Service {
  constructor() {
    super({
      name: "ScoreSaber",
      websocketUrl: "wss://scoresaber.com/ws",
    });
  }

  /**
   * Gets called when a message from
   * the websocket is received.
   *
   * @param data the message
   */
  message(data: any): void {
    const { commandName, commandData } = data;

    switch (commandName) {
      case "score": {
        this.onScoreRecieved(commandData);
      }
    }
  }

  /**
   * Gets called when a score from
   * the websocket is received.
   *
   * @param score score data
   */
  onScoreRecieved(score: any) {
    this.log("score recieved from ss");
  }
}
